Subject: Re: [External] : Re: bug#51930: 27.2; Buffer-local functions? Buffers specified buffer-locally?

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Sep 2022 19:18:02 +0300

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Tue, 20 Sep 2022 15:58:25 +0000
> 
> > I think the section is clear after that clarification, so I'm closing
> > this bug report.
> 
> Nope, it's not clear.  The doc of `add-hook' does
> not at all talk about buffer-local functions.

What are "buffer-local functions"?  I'm not aware of such a feature in
Emacs.  The documentation of add-hook doesn't mention any
"buffer-local functions".

The node "Windows Hooks" uses the phrase "Functions specified
buffer-locally", after it explains that hooks can have buffer-local or
global values.  I see no problem with that.